Page MenuHomePhabricator

build: split up building of libs, bins, modules, benchmark
ClosedPublic

Authored by bu5hm4n on May 10 2020, 6:53 AM.

Details

Summary

this is needed as a preparation for more build refactoring. Overall goal
to build efl in a single .so.

What this commit results in is that *every* lib gets build first, then
the modules and binaries of all subprojects. This way of building is
needed in order to replace the split up libraries with the efl-one one
later.

Additionally, the infrastructure is added to set flags on the libraries
that should be build together.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.May 10 2020, 6:53 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.May 10 2020, 6:53 AM
bu5hm4n added a child revision: D11806: refactor build.
stefan_schmidt requested changes to this revision.May 14 2020, 7:14 AM
stefan_schmidt added a subscriber: stefan_schmidt.
stefan_schmidt added inline comments.
meson.build
471

delate? did you mean delay?

meson_options.txt
373 ↗(On Diff #30189)

This option should be added in D11808 instead.

This revision now requires changes to proceed.May 14 2020, 7:14 AM
bu5hm4n updated this revision to Diff 30409.May 26 2020, 1:27 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase on master

My two earlier comments still need to be addressed, after that its ready.

bu5hm4n updated this revision to Diff 30429.May 27 2020, 12:54 AM
bu5hm4n edited the summary of this revision. (Show Details)

Final update

stefan_schmidt accepted this revision.May 27 2020, 1:58 AM
This revision is now accepted and ready to land.May 27 2020, 1:58 AM
Closed by commit rEFL2d105a7e597a: build: split up building of libs, bins, modules, benchmark (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by stefan_schmidt). · Explain WhyMay 27 2020, 2:07 AM
This revision was automatically updated to reflect the committed changes.